Subject: Re: [PATCH 0/3] git-daemon: plug new upload-tar command

From: Jakub Narebski <[email-masked]>
Date: Sat, 02 Sep 2006 12:36:20 +0200

Junio C Hamano wrote:

> "Franck Bui-Huu" <[email-masked]> writes:
> 
>>> So if you beat me to it, that would be great.  Or if you have a better
>>> idea, that would be also great. :-)
>>
>> Well I'll try to start something, not sure to have a lot of time
>> though. Please contact me before starting anything, I would be sad to
>> write something for /dev/null again ;)
> 
> I do not necessarily think your effort were for /dev/null; for
> example, I was hoping you defend [PATCH 3/3].
> 
> While it makes sense to make "tar-tree --remote" usable outside
> a git managed repository, I think people expect the connection
> to obey core.gitproxy if the command is run inside a repository
> that has a configuration file.

If I remember correclty git now support (totally undocumented) per-user
configuration file, so one can have core.gitproxy even outside git
repository. Although some warning that you are running from outside
repository and configuration might be not what you want would be nice. 

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git